package com.ruoyi.project.affair.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.affair.domain.TPpe;

/**
 * PPE发放登记Mapper接口
 * 
 * @author ruoyi
 * @date 2020-12-02
 */
public interface TPpeMapper 
{
    /**
     * 查询PPE发放登记
     * 
     * @param id PPE发放登记ID
     * @return PPE发放登记
     */
    public TPpe selectTPpeById(Long id);

    /**
     * 查询PPE发放登记列表
     * 
     * @param tPpe PPE发放登记
     * @return PPE发放登记集合
     */
    @DataScope(deptAlias = "d")
    public List<TPpe> selectTPpeList(TPpe tPpe);

    /**
     * 定时任务查询PPE发放登记列表
     *
     * @param tPpe PPE发放登记
     * @return PPE发放登记集合
     */
    public List<TPpe> selectList(TPpe tPpe);

    /**
     * 新增PPE发放登记
     * 
     * @param tPpe PPE发放登记
     * @return 结果
     */
    public int insertTPpe(TPpe tPpe);

    /**
     * 修改PPE发放登记
     * 
     * @param tPpe PPE发放登记
     * @return 结果
     */
    public int updateTPpe(TPpe tPpe);

    /**
     * 删除PPE发放登记
     * 
     * @param id PPE发放登记ID
     * @return 结果
     */
    public int deleteTPpeById(Long id);

    /**
     * 批量删除PPE发放登记
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPpeByIds(Long[] ids);
}
